nodejs-require-cs-0.4.4-2-rosa2014.1.noarch.rpm


Advertisement

Description

nodejs-require-cs - An AMD loader plugin for CoffeeScript

Property Value
Distribution ROSA 2014.1
Repository ROSA Contrib x86_64
Package name nodejs-require-cs
Package version 0.4.4
Package release 2-rosa2014.1
Package architecture noarch
Package type rpm
Installed size 100.35 KB
Download size 30.99 KB
Official Mirror mirror.rosalab.ru
A CoffeeScript loader plugin that may work with module loaders like
RequireJS, curl and backdraft.
This loader plugin makes it easy to write your JS functionality in
CoffeeScript, and easily use it in the browser, Node or Rhino. Plus,
if you use the RequireJS optimizer, your CoffeeScript files can be
translated to JavaScript and in-lined into optimized layers for fast
performance.

Alternatives

Package Version Architecture Repository
nodejs-require-cs-0.4.4-5-rosa2014.1.noarch.rpm 0.4.4 noarch ROSA Contrib Updates
nodejs-require-cs-0.4.4-5-rosa2014.1.noarch.rpm 0.4.4 noarch ROSA Contrib Updates
nodejs-require-cs-0.4.4-2-rosa2014.1.noarch.rpm 0.4.4 noarch ROSA Contrib
nodejs-require-cs - - -

Requires

Name Value
/usr/lib/node_modules/requirejs/bin/r.js -
/usr/share/coffee-script/extras/coffee-script.js -
nodejs(engine) -
npm(coffee-script) >= 1.2.0

Provides

Name Value
nodejs-require-cs == 0.4.4-2:2014.1
npm(require-cs) == 0.4.4

Download

Type URL
Binary Package nodejs-require-cs-0.4.4-2-rosa2014.1.noarch.rpm
Source Package nodejs-require-cs-0.4.4-2.src.rpm

Install Howto

  1. Enable ROSA Contrib repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install nodejs-require-cs rpm package:
    # urpmi nodejs-require-cs

Files

Path
/usr/lib/node_modules/require-cs/coffee-script.js
/usr/lib/node_modules/require-cs/cs.js
/usr/lib/node_modules/require-cs/package.json
/usr/lib/node_modules/require-cs/node_modules/coffee-script
/usr/lib/node_modules/require-cs/tools/r.js
/usr/share/doc/nodejs-require-cs/LICENSE
/usr/share/doc/nodejs-require-cs/README.md
/usr/share/doc/nodejs-require-cs/demoserver.js
/usr/share/doc/nodejs-require-cs/demo/build.js
/usr/share/doc/nodejs-require-cs/demo/build.sh
/usr/share/doc/nodejs-require-cs/demo/index.html
/usr/share/doc/nodejs-require-cs/demo/lib/controller.coffee
/usr/share/doc/nodejs-require-cs/demo/lib/csmain.coffee
/usr/share/doc/nodejs-require-cs/demo/lib/domReady.js
/usr/share/doc/nodejs-require-cs/demo/lib/main.js
/usr/share/doc/nodejs-require-cs/demo/lib/regular.js
/usr/share/doc/nodejs-require-cs/demo/lib/require.js
/usr/share/doc/nodejs-require-cs/demo/lib/util.coffee
/usr/share/doc/nodejs-require-cs/demo/lib/view.coffee

Changelog

2014-07-25 - Denis Silakov <denis.silakov@rosalab.ru> 0.4.4-2
+ Revision: e871194
- MassBuild#464: Increase release tag

See Also

Package Description
nodejs-requirejs-2.1.11-2-rosa2014.1.noarch.rpm Node.js adapter for RequireJS, for loading AMD modules
nodejs-resolve-0.5.0-1-rosa2014.1.noarch.rpm Resolve like require.resolve() on behalf of files asynchronously/synchronously
nodejs-response-time-1.0.0-2-rosa2014.1.noarch.rpm X-Response-Time header for Node.js and Connect
nodejs-retry-0.6.0-7-rosa2014.1.noarch.rpm Retry strategies for failed operations
nodejs-revalidator-0.1.7-1-rosa2014.1.noarch.rpm A cross-browser/Node.js validator used by resourceful
nodejs-rimraf-2.2.2-2-rosa2014.1.noarch.rpm A deep deletion module for node.js
nodejs-ronn-0.4.0-4-rosa2014.1.noarch.rpm Markdown to roff/html converter
nodejs-runforcover-0.0.2-1-rosa2014.1.noarch.rpm Require plugin for JS code coverage
nodejs-sax-0.6.0-2-rosa2014.1.noarch.rpm A streaming SAX-style XML parser in JavaScript for Node.js
nodejs-scmp-0.0.3-2-rosa2014.1.noarch.rpm Constant-time string comparison intended to be safer against timing attacks
nodejs-semver-2.1.0-3-rosa2014.1.noarch.rpm Semantic versioner for npm
nodejs-send-0.3.0-2-rosa2014.1.noarch.rpm Better streaming static file server with Range and conditional-GET support
nodejs-serve-index-1.0.1-4-rosa2014.1.noarch.rpm Middleware for serving directory listings for Node.js and Connect
nodejs-serve-static-1.1.0-2-rosa2014.1.noarch.rpm Middleware for serving static files for Node.js and Connect
nodejs-setimmediate-1.0.1-2-rosa2014.1.noarch.rpm A shim for the setImmediate efficient script yielding API
Advertisement
Advertisement